// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: database.proto

#ifndef PROTOBUF_database_2eproto__INCLUDED
#define PROTOBUF_database_2eproto__INCLUDED

#include <string>

#include <google/protobuf/stubs/common.h>

#if GOOGLE_PROTOBUF_VERSION < 3005000
#error This file was generated by a newer version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please update
#error your headers.
#endif
#if 3005000 < GOOGLE_PROTOBUF_MIN_PROTOC_VERSION
#error This file was generated by an older version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please
#error regenerate this file with a newer version of protoc.
#endif

#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/arena.h>
#include <google/protobuf/arenastring.h>
#include <google/protobuf/generated_message_table_driven.h>
#include <google/protobuf/generated_message_util.h>
#include <google/protobuf/metadata.h>
#include <google/protobuf/message.h>
#include <google/protobuf/repeated_field.h>  // IWYU pragma: export
#include <google/protobuf/extension_set.h>  // IWYU pragma: export
#include <google/protobuf/unknown_field_set.h>
#include "error.pb.h"
// @@protoc_insertion_point(includes)

namespace protobuf_database_2eproto {
// Internal implementation detail -- do not use these members.
struct TableStruct {
  static const ::google::protobuf::internal::ParseTableField entries[];
  static const ::google::protobuf::internal::AuxillaryParseTableField aux[];
  static const ::google::protobuf::internal::ParseTable schema[6];
  static const ::google::protobuf::internal::FieldMetadata field_metadata[];
  static const ::google::protobuf::internal::SerializationTable serialization_table[];
  static const ::google::protobuf::uint32 offsets[];
};
void AddDescriptors();
void InitDefaultsDirectoryReplyImpl();
void InitDefaultsDirectoryReply();
void InitDefaultsDbDevExportInfoImpl();
void InitDefaultsDbDevExportInfo();
void InitDefaultsDbDevImportInfoImpl();
void InitDefaultsDbDevImportInfo();
void InitDefaultsDbDevExportInfosImpl();
void InitDefaultsDbDevExportInfos();
void InitDefaultsDeviceNameImpl();
void InitDefaultsDeviceName();
void InitDefaultsDirectoryImportReplyImpl();
void InitDefaultsDirectoryImportReply();
inline void InitDefaults() {
  InitDefaultsDirectoryReply();
  InitDefaultsDbDevExportInfo();
  InitDefaultsDbDevImportInfo();
  InitDefaultsDbDevExportInfos();
  InitDefaultsDeviceName();
  InitDefaultsDirectoryImportReply();
}
}  // namespace protobuf_database_2eproto
namespace mascot {
class DbDevExportInfo;
class DbDevExportInfoDefaultTypeInternal;
extern DbDevExportInfoDefaultTypeInternal _DbDevExportInfo_default_instance_;
class DbDevExportInfos;
class DbDevExportInfosDefaultTypeInternal;
extern DbDevExportInfosDefaultTypeInternal _DbDevExportInfos_default_instance_;
class DbDevImportInfo;
class DbDevImportInfoDefaultTypeInternal;
extern DbDevImportInfoDefaultTypeInternal _DbDevImportInfo_default_instance_;
class DeviceName;
class DeviceNameDefaultTypeInternal;
extern DeviceNameDefaultTypeInternal _DeviceName_default_instance_;
class DirectoryImportReply;
class DirectoryImportReplyDefaultTypeInternal;
extern DirectoryImportReplyDefaultTypeInternal _DirectoryImportReply_default_instance_;
class DirectoryReply;
class DirectoryReplyDefaultTypeInternal;
extern DirectoryReplyDefaultTypeInternal _DirectoryReply_default_instance_;
}  // namespace mascot
namespace mascot {

// ===================================================================

class DirectoryReply : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.DirectoryReply) */ {
 public:
  DirectoryReply();
  virtual ~DirectoryReply();

  DirectoryReply(const DirectoryReply& from);

  inline DirectoryReply& operator=(const DirectoryReply& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  DirectoryReply(DirectoryReply&& from) noexcept
    : DirectoryReply() {
    *this = ::std::move(from);
  }

  inline DirectoryReply& operator=(DirectoryReply&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const DirectoryReply& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const DirectoryReply* internal_default_instance() {
    return reinterpret_cast<const DirectoryReply*>(
               &_DirectoryReply_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    0;

  void Swap(DirectoryReply* other);
  friend void swap(DirectoryReply& a, DirectoryReply& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline DirectoryReply* New() const PROTOBUF_FINAL { return New(NULL); }

  DirectoryReply* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const DirectoryReply& from);
  void MergeFrom(const DirectoryReply& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(DirectoryReply* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // .mascot.Error error = 2;
  bool has_error() const;
  void clear_error();
  static const int kErrorFieldNumber = 2;
  const ::mascot::Error& error() const;
  ::mascot::Error* release_error();
  ::mascot::Error* mutable_error();
  void set_allocated_error(::mascot::Error* error);

  // bool success = 1;
  void clear_success();
  static const int kSuccessFieldNumber = 1;
  bool success() const;
  void set_success(bool value);

  // @@protoc_insertion_point(class_scope:mascot.DirectoryReply)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::mascot::Error* error_;
  bool success_;
  mutable int _cached_size_;
  friend struct ::protobuf_database_2eproto::TableStruct;
  friend void ::protobuf_database_2eproto::InitDefaultsDirectoryReplyImpl();
};
// -------------------------------------------------------------------

class DbDevExportInfo : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.DbDevExportInfo) */ {
 public:
  DbDevExportInfo();
  virtual ~DbDevExportInfo();

  DbDevExportInfo(const DbDevExportInfo& from);

  inline DbDevExportInfo& operator=(const DbDevExportInfo& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  DbDevExportInfo(DbDevExportInfo&& from) noexcept
    : DbDevExportInfo() {
    *this = ::std::move(from);
  }

  inline DbDevExportInfo& operator=(DbDevExportInfo&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const DbDevExportInfo& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const DbDevExportInfo* internal_default_instance() {
    return reinterpret_cast<const DbDevExportInfo*>(
               &_DbDevExportInfo_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    1;

  void Swap(DbDevExportInfo* other);
  friend void swap(DbDevExportInfo& a, DbDevExportInfo& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline DbDevExportInfo* New() const PROTOBUF_FINAL { return New(NULL); }

  DbDevExportInfo* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const DbDevExportInfo& from);
  void MergeFrom(const DbDevExportInfo& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(DbDevExportInfo* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // string name = 1;
  void clear_name();
  static const int kNameFieldNumber = 1;
  const ::std::string& name() const;
  void set_name(const ::std::string& value);
  #if LANG_CXX11
  void set_name(::std::string&& value);
  #endif
  void set_name(const char* value);
  void set_name(const char* value, size_t size);
  ::std::string* mutable_name();
  ::std::string* release_name();
  void set_allocated_name(::std::string* name);

  // string address = 2;
  void clear_address();
  static const int kAddressFieldNumber = 2;
  const ::std::string& address() const;
  void set_address(const ::std::string& value);
  #if LANG_CXX11
  void set_address(::std::string&& value);
  #endif
  void set_address(const char* value);
  void set_address(const char* value, size_t size);
  ::std::string* mutable_address();
  ::std::string* release_address();
  void set_allocated_address(::std::string* address);

  // string host = 3;
  void clear_host();
  static const int kHostFieldNumber = 3;
  const ::std::string& host() const;
  void set_host(const ::std::string& value);
  #if LANG_CXX11
  void set_host(::std::string&& value);
  #endif
  void set_host(const char* value);
  void set_host(const char* value, size_t size);
  ::std::string* mutable_host();
  ::std::string* release_host();
  void set_allocated_host(::std::string* host);

  // string version = 4;
  void clear_version();
  static const int kVersionFieldNumber = 4;
  const ::std::string& version() const;
  void set_version(const ::std::string& value);
  #if LANG_CXX11
  void set_version(::std::string&& value);
  #endif
  void set_version(const char* value);
  void set_version(const char* value, size_t size);
  ::std::string* mutable_version();
  ::std::string* release_version();
  void set_allocated_version(::std::string* version);

  // int64 pid = 5;
  void clear_pid();
  static const int kPidFieldNumber = 5;
  ::google::protobuf::int64 pid() const;
  void set_pid(::google::protobuf::int64 value);

  // @@protoc_insertion_point(class_scope:mascot.DbDevExportInfo)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::internal::ArenaStringPtr name_;
  ::google::protobuf::internal::ArenaStringPtr address_;
  ::google::protobuf::internal::ArenaStringPtr host_;
  ::google::protobuf::internal::ArenaStringPtr version_;
  ::google::protobuf::int64 pid_;
  mutable int _cached_size_;
  friend struct ::protobuf_database_2eproto::TableStruct;
  friend void ::protobuf_database_2eproto::InitDefaultsDbDevExportInfoImpl();
};
// -------------------------------------------------------------------

class DbDevImportInfo : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.DbDevImportInfo) */ {
 public:
  DbDevImportInfo();
  virtual ~DbDevImportInfo();

  DbDevImportInfo(const DbDevImportInfo& from);

  inline DbDevImportInfo& operator=(const DbDevImportInfo& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  DbDevImportInfo(DbDevImportInfo&& from) noexcept
    : DbDevImportInfo() {
    *this = ::std::move(from);
  }

  inline DbDevImportInfo& operator=(DbDevImportInfo&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const DbDevImportInfo& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const DbDevImportInfo* internal_default_instance() {
    return reinterpret_cast<const DbDevImportInfo*>(
               &_DbDevImportInfo_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    2;

  void Swap(DbDevImportInfo* other);
  friend void swap(DbDevImportInfo& a, DbDevImportInfo& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline DbDevImportInfo* New() const PROTOBUF_FINAL { return New(NULL); }

  DbDevImportInfo* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const DbDevImportInfo& from);
  void MergeFrom(const DbDevImportInfo& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(DbDevImportInfo* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // string name = 1;
  void clear_name();
  static const int kNameFieldNumber = 1;
  const ::std::string& name() const;
  void set_name(const ::std::string& value);
  #if LANG_CXX11
  void set_name(::std::string&& value);
  #endif
  void set_name(const char* value);
  void set_name(const char* value, size_t size);
  ::std::string* mutable_name();
  ::std::string* release_name();
  void set_allocated_name(::std::string* name);

  // string address = 2;
  void clear_address();
  static const int kAddressFieldNumber = 2;
  const ::std::string& address() const;
  void set_address(const ::std::string& value);
  #if LANG_CXX11
  void set_address(::std::string&& value);
  #endif
  void set_address(const char* value);
  void set_address(const char* value, size_t size);
  ::std::string* mutable_address();
  ::std::string* release_address();
  void set_allocated_address(::std::string* address);

  // string version = 4;
  void clear_version();
  static const int kVersionFieldNumber = 4;
  const ::std::string& version() const;
  void set_version(const ::std::string& value);
  #if LANG_CXX11
  void set_version(::std::string&& value);
  #endif
  void set_version(const char* value);
  void set_version(const char* value, size_t size);
  ::std::string* mutable_version();
  ::std::string* release_version();
  void set_allocated_version(::std::string* version);

  // bool exported = 3;
  void clear_exported();
  static const int kExportedFieldNumber = 3;
  bool exported() const;
  void set_exported(bool value);

  // @@protoc_insertion_point(class_scope:mascot.DbDevImportInfo)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::internal::ArenaStringPtr name_;
  ::google::protobuf::internal::ArenaStringPtr address_;
  ::google::protobuf::internal::ArenaStringPtr version_;
  bool exported_;
  mutable int _cached_size_;
  friend struct ::protobuf_database_2eproto::TableStruct;
  friend void ::protobuf_database_2eproto::InitDefaultsDbDevImportInfoImpl();
};
// -------------------------------------------------------------------

class DbDevExportInfos : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.DbDevExportInfos) */ {
 public:
  DbDevExportInfos();
  virtual ~DbDevExportInfos();

  DbDevExportInfos(const DbDevExportInfos& from);

  inline DbDevExportInfos& operator=(const DbDevExportInfos& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  DbDevExportInfos(DbDevExportInfos&& from) noexcept
    : DbDevExportInfos() {
    *this = ::std::move(from);
  }

  inline DbDevExportInfos& operator=(DbDevExportInfos&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const DbDevExportInfos& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const DbDevExportInfos* internal_default_instance() {
    return reinterpret_cast<const DbDevExportInfos*>(
               &_DbDevExportInfos_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    3;

  void Swap(DbDevExportInfos* other);
  friend void swap(DbDevExportInfos& a, DbDevExportInfos& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline DbDevExportInfos* New() const PROTOBUF_FINAL { return New(NULL); }

  DbDevExportInfos* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const DbDevExportInfos& from);
  void MergeFrom(const DbDevExportInfos& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(DbDevExportInfos* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated .mascot.DbDevExportInfo devinfo = 1;
  int devinfo_size() const;
  void clear_devinfo();
  static const int kDevinfoFieldNumber = 1;
  const ::mascot::DbDevExportInfo& devinfo(int index) const;
  ::mascot::DbDevExportInfo* mutable_devinfo(int index);
  ::mascot::DbDevExportInfo* add_devinfo();
  ::google::protobuf::RepeatedPtrField< ::mascot::DbDevExportInfo >*
      mutable_devinfo();
  const ::google::protobuf::RepeatedPtrField< ::mascot::DbDevExportInfo >&
      devinfo() const;

  // @@protoc_insertion_point(class_scope:mascot.DbDevExportInfos)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedPtrField< ::mascot::DbDevExportInfo > devinfo_;
  mutable int _cached_size_;
  friend struct ::protobuf_database_2eproto::TableStruct;
  friend void ::protobuf_database_2eproto::InitDefaultsDbDevExportInfosImpl();
};
// -------------------------------------------------------------------

class DeviceName : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.DeviceName) */ {
 public:
  DeviceName();
  virtual ~DeviceName();

  DeviceName(const DeviceName& from);

  inline DeviceName& operator=(const DeviceName& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  DeviceName(DeviceName&& from) noexcept
    : DeviceName() {
    *this = ::std::move(from);
  }

  inline DeviceName& operator=(DeviceName&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const DeviceName& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const DeviceName* internal_default_instance() {
    return reinterpret_cast<const DeviceName*>(
               &_DeviceName_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    4;

  void Swap(DeviceName* other);
  friend void swap(DeviceName& a, DeviceName& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline DeviceName* New() const PROTOBUF_FINAL { return New(NULL); }

  DeviceName* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const DeviceName& from);
  void MergeFrom(const DeviceName& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(DeviceName* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // string name = 1;
  void clear_name();
  static const int kNameFieldNumber = 1;
  const ::std::string& name() const;
  void set_name(const ::std::string& value);
  #if LANG_CXX11
  void set_name(::std::string&& value);
  #endif
  void set_name(const char* value);
  void set_name(const char* value, size_t size);
  ::std::string* mutable_name();
  ::std::string* release_name();
  void set_allocated_name(::std::string* name);

  // @@protoc_insertion_point(class_scope:mascot.DeviceName)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::internal::ArenaStringPtr name_;
  mutable int _cached_size_;
  friend struct ::protobuf_database_2eproto::TableStruct;
  friend void ::protobuf_database_2eproto::InitDefaultsDeviceNameImpl();
};
// -------------------------------------------------------------------

class DirectoryImportReply : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.DirectoryImportReply) */ {
 public:
  DirectoryImportReply();
  virtual ~DirectoryImportReply();

  DirectoryImportReply(const DirectoryImportReply& from);

  inline DirectoryImportReply& operator=(const DirectoryImportReply& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  DirectoryImportReply(DirectoryImportReply&& from) noexcept
    : DirectoryImportReply() {
    *this = ::std::move(from);
  }

  inline DirectoryImportReply& operator=(DirectoryImportReply&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const DirectoryImportReply& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const DirectoryImportReply* internal_default_instance() {
    return reinterpret_cast<const DirectoryImportReply*>(
               &_DirectoryImportReply_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    5;

  void Swap(DirectoryImportReply* other);
  friend void swap(DirectoryImportReply& a, DirectoryImportReply& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline DirectoryImportReply* New() const PROTOBUF_FINAL { return New(NULL); }

  DirectoryImportReply* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const DirectoryImportReply& from);
  void MergeFrom(const DirectoryImportReply& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(DirectoryImportReply* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // .mascot.Error error = 2;
  bool has_error() const;
  void clear_error();
  static const int kErrorFieldNumber = 2;
  const ::mascot::Error& error() const;
  ::mascot::Error* release_error();
  ::mascot::Error* mutable_error();
  void set_allocated_error(::mascot::Error* error);

  // .mascot.DbDevImportInfo info = 3;
  bool has_info() const;
  void clear_info();
  static const int kInfoFieldNumber = 3;
  const ::mascot::DbDevImportInfo& info() const;
  ::mascot::DbDevImportInfo* release_info();
  ::mascot::DbDevImportInfo* mutable_info();
  void set_allocated_info(::mascot::DbDevImportInfo* info);

  // bool success = 1;
  void clear_success();
  static const int kSuccessFieldNumber = 1;
  bool success() const;
  void set_success(bool value);

  // @@protoc_insertion_point(class_scope:mascot.DirectoryImportReply)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::mascot::Error* error_;
  ::mascot::DbDevImportInfo* info_;
  bool success_;
  mutable int _cached_size_;
  friend struct ::protobuf_database_2eproto::TableStruct;
  friend void ::protobuf_database_2eproto::InitDefaultsDirectoryImportReplyImpl();
};
// ===================================================================


// ===================================================================

#ifdef __GNUC__
  #pragma GCC diagnostic push
  #pragma GCC diagnostic ignored "-Wstrict-aliasing"
#endif  // __GNUC__
// DirectoryReply

// bool success = 1;
inline void DirectoryReply::clear_success() {
  success_ = false;
}
inline bool DirectoryReply::success() const {
  // @@protoc_insertion_point(field_get:mascot.DirectoryReply.success)
  return success_;
}
inline void DirectoryReply::set_success(bool value) {
  
  success_ = value;
  // @@protoc_insertion_point(field_set:mascot.DirectoryReply.success)
}

// .mascot.Error error = 2;
inline bool DirectoryReply::has_error() const {
  return this != internal_default_instance() && error_ != NULL;
}
inline const ::mascot::Error& DirectoryReply::error() const {
  const ::mascot::Error* p = error_;
  // @@protoc_insertion_point(field_get:mascot.DirectoryReply.error)
  return p != NULL ? *p : *reinterpret_cast<const ::mascot::Error*>(
      &::mascot::_Error_default_instance_);
}
inline ::mascot::Error* DirectoryReply::release_error() {
  // @@protoc_insertion_point(field_release:mascot.DirectoryReply.error)
  
  ::mascot::Error* temp = error_;
  error_ = NULL;
  return temp;
}
inline ::mascot::Error* DirectoryReply::mutable_error() {
  
  if (error_ == NULL) {
    error_ = new ::mascot::Error;
  }
  // @@protoc_insertion_point(field_mutable:mascot.DirectoryReply.error)
  return error_;
}
inline void DirectoryReply::set_allocated_error(::mascot::Error* error) {
  ::google::protobuf::Arena* message_arena = GetArenaNoVirtual();
  if (message_arena == NULL) {
    delete reinterpret_cast< ::google::protobuf::MessageLite*>(error_);
  }
  if (error) {
    ::google::protobuf::Arena* submessage_arena = NULL;
    if (message_arena != submessage_arena) {
      error = ::google::protobuf::internal::GetOwnedMessage(
          message_arena, error, submessage_arena);
    }
    
  } else {
    
  }
  error_ = error;
  // @@protoc_insertion_point(field_set_allocated:mascot.DirectoryReply.error)
}

// -------------------------------------------------------------------

// DbDevExportInfo

// string name = 1;
inline void DbDevExportInfo::clear_name() {
  name_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& DbDevExportInfo::name() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevExportInfo.name)
  return name_.GetNoArena();
}
inline void DbDevExportInfo::set_name(const ::std::string& value) {
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.DbDevExportInfo.name)
}
#if LANG_CXX11
inline void DbDevExportInfo::set_name(::std::string&& value) {
  
  name_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.DbDevExportInfo.name)
}
#endif
inline void DbDevExportInfo::set_name(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.DbDevExportInfo.name)
}
inline void DbDevExportInfo::set_name(const char* value, size_t size) {
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.DbDevExportInfo.name)
}
inline ::std::string* DbDevExportInfo::mutable_name() {
  
  // @@protoc_insertion_point(field_mutable:mascot.DbDevExportInfo.name)
  return name_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* DbDevExportInfo::release_name() {
  // @@protoc_insertion_point(field_release:mascot.DbDevExportInfo.name)
  
  return name_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void DbDevExportInfo::set_allocated_name(::std::string* name) {
  if (name != NULL) {
    
  } else {
    
  }
  name_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), name);
  // @@protoc_insertion_point(field_set_allocated:mascot.DbDevExportInfo.name)
}

// string address = 2;
inline void DbDevExportInfo::clear_address() {
  address_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& DbDevExportInfo::address() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevExportInfo.address)
  return address_.GetNoArena();
}
inline void DbDevExportInfo::set_address(const ::std::string& value) {
  
  address_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.DbDevExportInfo.address)
}
#if LANG_CXX11
inline void DbDevExportInfo::set_address(::std::string&& value) {
  
  address_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.DbDevExportInfo.address)
}
#endif
inline void DbDevExportInfo::set_address(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  address_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.DbDevExportInfo.address)
}
inline void DbDevExportInfo::set_address(const char* value, size_t size) {
  
  address_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.DbDevExportInfo.address)
}
inline ::std::string* DbDevExportInfo::mutable_address() {
  
  // @@protoc_insertion_point(field_mutable:mascot.DbDevExportInfo.address)
  return address_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* DbDevExportInfo::release_address() {
  // @@protoc_insertion_point(field_release:mascot.DbDevExportInfo.address)
  
  return address_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void DbDevExportInfo::set_allocated_address(::std::string* address) {
  if (address != NULL) {
    
  } else {
    
  }
  address_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), address);
  // @@protoc_insertion_point(field_set_allocated:mascot.DbDevExportInfo.address)
}

// string host = 3;
inline void DbDevExportInfo::clear_host() {
  host_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& DbDevExportInfo::host() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevExportInfo.host)
  return host_.GetNoArena();
}
inline void DbDevExportInfo::set_host(const ::std::string& value) {
  
  host_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.DbDevExportInfo.host)
}
#if LANG_CXX11
inline void DbDevExportInfo::set_host(::std::string&& value) {
  
  host_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.DbDevExportInfo.host)
}
#endif
inline void DbDevExportInfo::set_host(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  host_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.DbDevExportInfo.host)
}
inline void DbDevExportInfo::set_host(const char* value, size_t size) {
  
  host_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.DbDevExportInfo.host)
}
inline ::std::string* DbDevExportInfo::mutable_host() {
  
  // @@protoc_insertion_point(field_mutable:mascot.DbDevExportInfo.host)
  return host_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* DbDevExportInfo::release_host() {
  // @@protoc_insertion_point(field_release:mascot.DbDevExportInfo.host)
  
  return host_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void DbDevExportInfo::set_allocated_host(::std::string* host) {
  if (host != NULL) {
    
  } else {
    
  }
  host_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), host);
  // @@protoc_insertion_point(field_set_allocated:mascot.DbDevExportInfo.host)
}

// string version = 4;
inline void DbDevExportInfo::clear_version() {
  version_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& DbDevExportInfo::version() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevExportInfo.version)
  return version_.GetNoArena();
}
inline void DbDevExportInfo::set_version(const ::std::string& value) {
  
  version_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.DbDevExportInfo.version)
}
#if LANG_CXX11
inline void DbDevExportInfo::set_version(::std::string&& value) {
  
  version_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.DbDevExportInfo.version)
}
#endif
inline void DbDevExportInfo::set_version(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  version_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.DbDevExportInfo.version)
}
inline void DbDevExportInfo::set_version(const char* value, size_t size) {
  
  version_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.DbDevExportInfo.version)
}
inline ::std::string* DbDevExportInfo::mutable_version() {
  
  // @@protoc_insertion_point(field_mutable:mascot.DbDevExportInfo.version)
  return version_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* DbDevExportInfo::release_version() {
  // @@protoc_insertion_point(field_release:mascot.DbDevExportInfo.version)
  
  return version_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void DbDevExportInfo::set_allocated_version(::std::string* version) {
  if (version != NULL) {
    
  } else {
    
  }
  version_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), version);
  // @@protoc_insertion_point(field_set_allocated:mascot.DbDevExportInfo.version)
}

// int64 pid = 5;
inline void DbDevExportInfo::clear_pid() {
  pid_ = GOOGLE_LONGLONG(0);
}
inline ::google::protobuf::int64 DbDevExportInfo::pid() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevExportInfo.pid)
  return pid_;
}
inline void DbDevExportInfo::set_pid(::google::protobuf::int64 value) {
  
  pid_ = value;
  // @@protoc_insertion_point(field_set:mascot.DbDevExportInfo.pid)
}

// -------------------------------------------------------------------

// DbDevImportInfo

// string name = 1;
inline void DbDevImportInfo::clear_name() {
  name_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& DbDevImportInfo::name() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevImportInfo.name)
  return name_.GetNoArena();
}
inline void DbDevImportInfo::set_name(const ::std::string& value) {
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.DbDevImportInfo.name)
}
#if LANG_CXX11
inline void DbDevImportInfo::set_name(::std::string&& value) {
  
  name_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.DbDevImportInfo.name)
}
#endif
inline void DbDevImportInfo::set_name(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.DbDevImportInfo.name)
}
inline void DbDevImportInfo::set_name(const char* value, size_t size) {
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.DbDevImportInfo.name)
}
inline ::std::string* DbDevImportInfo::mutable_name() {
  
  // @@protoc_insertion_point(field_mutable:mascot.DbDevImportInfo.name)
  return name_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* DbDevImportInfo::release_name() {
  // @@protoc_insertion_point(field_release:mascot.DbDevImportInfo.name)
  
  return name_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void DbDevImportInfo::set_allocated_name(::std::string* name) {
  if (name != NULL) {
    
  } else {
    
  }
  name_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), name);
  // @@protoc_insertion_point(field_set_allocated:mascot.DbDevImportInfo.name)
}

// string address = 2;
inline void DbDevImportInfo::clear_address() {
  address_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& DbDevImportInfo::address() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevImportInfo.address)
  return address_.GetNoArena();
}
inline void DbDevImportInfo::set_address(const ::std::string& value) {
  
  address_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.DbDevImportInfo.address)
}
#if LANG_CXX11
inline void DbDevImportInfo::set_address(::std::string&& value) {
  
  address_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.DbDevImportInfo.address)
}
#endif
inline void DbDevImportInfo::set_address(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  address_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.DbDevImportInfo.address)
}
inline void DbDevImportInfo::set_address(const char* value, size_t size) {
  
  address_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.DbDevImportInfo.address)
}
inline ::std::string* DbDevImportInfo::mutable_address() {
  
  // @@protoc_insertion_point(field_mutable:mascot.DbDevImportInfo.address)
  return address_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* DbDevImportInfo::release_address() {
  // @@protoc_insertion_point(field_release:mascot.DbDevImportInfo.address)
  
  return address_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void DbDevImportInfo::set_allocated_address(::std::string* address) {
  if (address != NULL) {
    
  } else {
    
  }
  address_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), address);
  // @@protoc_insertion_point(field_set_allocated:mascot.DbDevImportInfo.address)
}

// bool exported = 3;
inline void DbDevImportInfo::clear_exported() {
  exported_ = false;
}
inline bool DbDevImportInfo::exported() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevImportInfo.exported)
  return exported_;
}
inline void DbDevImportInfo::set_exported(bool value) {
  
  exported_ = value;
  // @@protoc_insertion_point(field_set:mascot.DbDevImportInfo.exported)
}

// string version = 4;
inline void DbDevImportInfo::clear_version() {
  version_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& DbDevImportInfo::version() const {
  // @@protoc_insertion_point(field_get:mascot.DbDevImportInfo.version)
  return version_.GetNoArena();
}
inline void DbDevImportInfo::set_version(const ::std::string& value) {
  
  version_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.DbDevImportInfo.version)
}
#if LANG_CXX11
inline void DbDevImportInfo::set_version(::std::string&& value) {
  
  version_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.DbDevImportInfo.version)
}
#endif
inline void DbDevImportInfo::set_version(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  version_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.DbDevImportInfo.version)
}
inline void DbDevImportInfo::set_version(const char* value, size_t size) {
  
  version_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.DbDevImportInfo.version)
}
inline ::std::string* DbDevImportInfo::mutable_version() {
  
  // @@protoc_insertion_point(field_mutable:mascot.DbDevImportInfo.version)
  return version_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* DbDevImportInfo::release_version() {
  // @@protoc_insertion_point(field_release:mascot.DbDevImportInfo.version)
  
  return version_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void DbDevImportInfo::set_allocated_version(::std::string* version) {
  if (version != NULL) {
    
  } else {
    
  }
  version_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), version);
  // @@protoc_insertion_point(field_set_allocated:mascot.DbDevImportInfo.version)
}

// -------------------------------------------------------------------

// DbDevExportInfos

// repeated .mascot.DbDevExportInfo devinfo = 1;
inline int DbDevExportInfos::devinfo_size() const {
  return devinfo_.size();
}
inline void DbDevExportInfos::clear_devinfo() {
  devinfo_.Clear();
}
inline const ::mascot::DbDevExportInfo& DbDevExportInfos::devinfo(int index) const {
  // @@protoc_insertion_point(field_get:mascot.DbDevExportInfos.devinfo)
  return devinfo_.Get(index);
}
inline ::mascot::DbDevExportInfo* DbDevExportInfos::mutable_devinfo(int index) {
  // @@protoc_insertion_point(field_mutable:mascot.DbDevExportInfos.devinfo)
  return devinfo_.Mutable(index);
}
inline ::mascot::DbDevExportInfo* DbDevExportInfos::add_devinfo() {
  // @@protoc_insertion_point(field_add:mascot.DbDevExportInfos.devinfo)
  return devinfo_.Add();
}
inline ::google::protobuf::RepeatedPtrField< ::mascot::DbDevExportInfo >*
DbDevExportInfos::mutable_devinfo() {
  // @@protoc_insertion_point(field_mutable_list:mascot.DbDevExportInfos.devinfo)
  return &devinfo_;
}
inline const ::google::protobuf::RepeatedPtrField< ::mascot::DbDevExportInfo >&
DbDevExportInfos::devinfo() const {
  // @@protoc_insertion_point(field_list:mascot.DbDevExportInfos.devinfo)
  return devinfo_;
}

// -------------------------------------------------------------------

// DeviceName

// string name = 1;
inline void DeviceName::clear_name() {
  name_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& DeviceName::name() const {
  // @@protoc_insertion_point(field_get:mascot.DeviceName.name)
  return name_.GetNoArena();
}
inline void DeviceName::set_name(const ::std::string& value) {
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.DeviceName.name)
}
#if LANG_CXX11
inline void DeviceName::set_name(::std::string&& value) {
  
  name_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.DeviceName.name)
}
#endif
inline void DeviceName::set_name(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.DeviceName.name)
}
inline void DeviceName::set_name(const char* value, size_t size) {
  
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.DeviceName.name)
}
inline ::std::string* DeviceName::mutable_name() {
  
  // @@protoc_insertion_point(field_mutable:mascot.DeviceName.name)
  return name_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* DeviceName::release_name() {
  // @@protoc_insertion_point(field_release:mascot.DeviceName.name)
  
  return name_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void DeviceName::set_allocated_name(::std::string* name) {
  if (name != NULL) {
    
  } else {
    
  }
  name_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), name);
  // @@protoc_insertion_point(field_set_allocated:mascot.DeviceName.name)
}

// -------------------------------------------------------------------

// DirectoryImportReply

// bool success = 1;
inline void DirectoryImportReply::clear_success() {
  success_ = false;
}
inline bool DirectoryImportReply::success() const {
  // @@protoc_insertion_point(field_get:mascot.DirectoryImportReply.success)
  return success_;
}
inline void DirectoryImportReply::set_success(bool value) {
  
  success_ = value;
  // @@protoc_insertion_point(field_set:mascot.DirectoryImportReply.success)
}

// .mascot.Error error = 2;
inline bool DirectoryImportReply::has_error() const {
  return this != internal_default_instance() && error_ != NULL;
}
inline const ::mascot::Error& DirectoryImportReply::error() const {
  const ::mascot::Error* p = error_;
  // @@protoc_insertion_point(field_get:mascot.DirectoryImportReply.error)
  return p != NULL ? *p : *reinterpret_cast<const ::mascot::Error*>(
      &::mascot::_Error_default_instance_);
}
inline ::mascot::Error* DirectoryImportReply::release_error() {
  // @@protoc_insertion_point(field_release:mascot.DirectoryImportReply.error)
  
  ::mascot::Error* temp = error_;
  error_ = NULL;
  return temp;
}
inline ::mascot::Error* DirectoryImportReply::mutable_error() {
  
  if (error_ == NULL) {
    error_ = new ::mascot::Error;
  }
  // @@protoc_insertion_point(field_mutable:mascot.DirectoryImportReply.error)
  return error_;
}
inline void DirectoryImportReply::set_allocated_error(::mascot::Error* error) {
  ::google::protobuf::Arena* message_arena = GetArenaNoVirtual();
  if (message_arena == NULL) {
    delete reinterpret_cast< ::google::protobuf::MessageLite*>(error_);
  }
  if (error) {
    ::google::protobuf::Arena* submessage_arena = NULL;
    if (message_arena != submessage_arena) {
      error = ::google::protobuf::internal::GetOwnedMessage(
          message_arena, error, submessage_arena);
    }
    
  } else {
    
  }
  error_ = error;
  // @@protoc_insertion_point(field_set_allocated:mascot.DirectoryImportReply.error)
}

// .mascot.DbDevImportInfo info = 3;
inline bool DirectoryImportReply::has_info() const {
  return this != internal_default_instance() && info_ != NULL;
}
inline void DirectoryImportReply::clear_info() {
  if (GetArenaNoVirtual() == NULL && info_ != NULL) {
    delete info_;
  }
  info_ = NULL;
}
inline const ::mascot::DbDevImportInfo& DirectoryImportReply::info() const {
  const ::mascot::DbDevImportInfo* p = info_;
  // @@protoc_insertion_point(field_get:mascot.DirectoryImportReply.info)
  return p != NULL ? *p : *reinterpret_cast<const ::mascot::DbDevImportInfo*>(
      &::mascot::_DbDevImportInfo_default_instance_);
}
inline ::mascot::DbDevImportInfo* DirectoryImportReply::release_info() {
  // @@protoc_insertion_point(field_release:mascot.DirectoryImportReply.info)
  
  ::mascot::DbDevImportInfo* temp = info_;
  info_ = NULL;
  return temp;
}
inline ::mascot::DbDevImportInfo* DirectoryImportReply::mutable_info() {
  
  if (info_ == NULL) {
    info_ = new ::mascot::DbDevImportInfo;
  }
  // @@protoc_insertion_point(field_mutable:mascot.DirectoryImportReply.info)
  return info_;
}
inline void DirectoryImportReply::set_allocated_info(::mascot::DbDevImportInfo* info) {
  ::google::protobuf::Arena* message_arena = GetArenaNoVirtual();
  if (message_arena == NULL) {
    delete info_;
  }
  if (info) {
    ::google::protobuf::Arena* submessage_arena = NULL;
    if (message_arena != submessage_arena) {
      info = ::google::protobuf::internal::GetOwnedMessage(
          message_arena, info, submessage_arena);
    }
    
  } else {
    
  }
  info_ = info;
  // @@protoc_insertion_point(field_set_allocated:mascot.DirectoryImportReply.info)
}

#ifdef __GNUC__
  #pragma GCC diagnostic pop
#endif  // __GNUC__
// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------


// @@protoc_insertion_point(namespace_scope)

}  // namespace mascot

// @@protoc_insertion_point(global_scope)

#endif  // PROTOBUF_database_2eproto__INCLUDED
